The integration between Raiser's Edge and Financial Edge will not be affected after upgrading Raiser's Edge as long as the version of Financial Edge is still compatible with the newly upgraded  version of Raiser's Edge.  If you are experiencing issues with the integration between Raiser's Edge and Financial Edge after an upgrade, please check the system requirements for Raiser's Edge and re-establish the integration between the two products.  If necessary, upgrade Financial Edge to a version that is compatible with your version of Raiser's Edge.